List secondary-zone transfer logs
curl --request GET \
--url https://api.gcore.com/dns/v2/secondary-zones/{zoneName}/transfer-logs \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/dns/v2/secondary-zones/{zoneName}/transfer-logs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/secondary-zones/{zoneName}/transfer-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": [
{
"completed_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"error_message": "<string>",
"id": 123,
"meta": {},
"new_serial": 123,
"old_serial": 123,
"primary_server_id": 123,
"records_transferred": 123,
"secondary_zone_id": 123,
"started_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"transfer_type": "<string>",
"triggered_by": "<string>"
}
],
"total": 123,
"total_amount": 123
}{
"code": "<string>",
"error": "<string>",
"message": "<string>"
}{
"code": "<string>",
"error": "<string>",
"message": "<string>"
}SecondaryZones
List secondary-zone transfer logs
List AXFR transfer logs for a secondary zone with dns-api pagination parameters.
GET
/
dns
/
v2
/
secondary-zones
/
{zoneName}
/
transfer-logs
List secondary-zone transfer logs
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Query Parameters
Amount of records to skip before beginning to write in response.
Max number of records in response
Was this page helpful?
⌘I